Opened 10 months ago

Closed 8 months ago

#5479 closed defect (fixed)

PostGIS_Full_Version: CRS EPSG:2163 is deprecated

Reported by: tobwen Owned by: robe
Priority: medium Milestone: PostGIS 3.4.1
Component: raster Version: 3.4.x
Keywords: Cc:

Description

# my setup (releases from the time, PostGIS 3.4 got released)

CGAL55_GIT_HASH = de4fa0d7d57b5a997012f2804161386ff4bc0d0f
SFCGAL_GIT_HASH = 18529e322a0d1d1844465ae198dece54672eab69
PROJ_GIT_HASH = 5405125a6544126b86af3f2cee53d954e4eb28b5
GEOS_GIT_HASH = 0d636b600de985a05fa84e744273c79e7d3ab57e
GDAL_GIT_HASH = 68da5257b139d4d80162cf83fdb8c6d26ead412f
POSTGIS_GIT_HASH = 0874ea342af5392e3cd9f4e6157ef08648c9d2d8

# the bug I've detected

SELECT PostGIS_Full_Version();

CRS EPSG:2163 is deprecated. Its non-deprecated replacement EPSG:9311 will be used instead. To use the original CRS, set the OSR_USE_NON_DEPRECATED configuration option to NO

# this warning has been seen before

https://gis.stackexchange.com/questions/377099/deprecated-crs-epsg2163-gets-reinterpreted-as-another-crs-epsg9311-by-gdal

Change History (14)

comment:1 by robe, 10 months ago

Milestone: PostGIS 3.4.1

comment:2 by robe, 10 months ago

Do you know which version of Proj you are runnig. I guess you can't tell from the PostGIS_Full_version(); which is odd cause I didn't think we triggered any proj functions aside from the proj version one.

comment:3 by robe, 10 months ago

Oh wait nevermind I see you have the PROJ hash there. Did you compile your own?

https://github.com/OSGeo/PROJ/commit/5405125a6544126b86af3f2cee53d954e4eb28b5

(corresponds to PROJ 9.2.1) I guess.

comment:4 by tobwen, 10 months ago

Yes, I compiled it on my own based on the commits of the stable release when PostGIS 3.4 got released.

comment:5 by tobwen, 10 months ago

CGAL v5.6.0 SFCGAL v1.5.0 PROJ v6.2.1 GEOS v3.12.0 GDAL v3.7.1 PostGOS v3.2.1

Version 0, edited 10 months ago by tobwen (next)

comment:6 by robe, 10 months ago

Does below trigger same version

SELECT postgis_proj_version();

And your above says you are running PROJ v6.2.1. According to your hash you should be running PROJ v9.2.1

Last edited 10 months ago by robe (previous) (diff)

in reply to:  6 comment:7 by tobwen, 10 months ago

Replying to robe:

And your above says you are running PROJ v6.2.1. According to your hash you should be running PROJ v9.2.1

Sorry, fixed the typo

Last edited 10 months ago by tobwen (previous) (diff)

comment:8 by tobwen, 10 months ago

Reproduceable also in 9.3-master and 9.1

POSTGIS="3.4.0 0874ea3" [EXTENSION] PGSQL="150" GEOS="3.12.0-CAPI-1.18.0" SFCGAL="SFCGAL 1.5.0, CGAL 5.6, BOOST 1.74.0" PROJ="9.1.1 NETWORK_ENABLED=OFF URL_ENDPOINT=https://cdn.proj.org USER_WRITABLE_DIRECTORY=/var/lib/postgresql/.local/share/proj DATABASE_PATH=/usr/local/share/proj/proj.db" GDAL="GDAL 3.7.1, released 2023/07/06" LIBXML="2.9.14" LIBJSON="0.16" LIBPROTOBUF="1.4.1" WAGYU="0.5.0 (Internal)" TOPOLOGY RASTER

Last edited 10 months ago by tobwen (previous) (diff)

comment:9 by robe, 10 months ago

Issue traced to GDAL

SELECT postgis_gdal_version()

which calls RASTER_gdal_version

comment:11 by robe, 10 months ago

Component: postgisraster
Owner: changed from pramsey to robe

comment:12 by Regina Obe <lr@…>, 10 months ago

In 820485b/git:

Don't use deprecated SRID=2163
in postgis_gdal_version() check
References #5479 for PostGIS 3.4.1

comment:13 by Regina Obe <lr@…>, 10 months ago

In d211bf0/git:

Don't use deprecated SRID=2163

in postgis_gdal_version() check
References #5479 for PostGIS 3.5.0

comment:14 by robe, 8 months ago

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.